#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    long long a, b, c;
    long long a1, b1, c1, x, y, z;
    int bc1 = 0, bc2 = 0, bc3 = 0;
    scanf("%lld %lld %lld", &a, &b, &c);

    x = a;
    while(x > 0)
    {
        a1 = x;
        x /= 10;
        bc1++;
    }

    y = b;
    while(y > 0)
    {
        b1 = y;
        y /= 10;
        bc2++;
    }

    z = c;
    while(z > 0)
    {
        c1 = z;
        z /= 10;
        bc3++;
    }
    
    int A = a - a1*pow(10, bc1 - 1);
    int B = b - b1*pow(10, bc2 - 1);
    int C = c - c1*pow(10, bc3 - 1);
    if(a1 == b1 && a1 == c1)
    {
       if(A > B > C) printf("%d%d%d", a, b, c);
       else if(A > C > B) printf("%d%d%d", a, c, b);
       else if(B > A > C) printf("%d%d%d", b, a, c);
       else if(B > C > A) printf("%d%d%d", b, c, a);
       else if(C > A > B) printf("%d%d%d", c, a, b);
       else if(C > B > A) printf("%d%d%d", c, b, a);
    }
    else if(a1 == b1)
    {
        if(a1 > c1)
        {
            if(A > B) printf("%d%d%d", a, b, c);
            else printf("%d%d%d", b, a, c);
        }
        else if(a1 < c1)
        {
            if(A > B) printf("%d%d%d", c, a, b);
            else printf("%d%d%d", c, b, a);
        }
    }
    else if(a1 == c1)
    {
        if(a1 > b1)
        {
            if(A > C) printf("%d%d%d", a, c, b);
            else printf("%d%d%d", c, a, b);
        }
        else if(a1 < b1)
        {
            if(A > C) printf("%d%d%d", b, a, c);
            else printf("%d%d%d", b, c, a);
        }
    }
    else if(c1 == b1)
    {
        if(a1 > c1)
        {
            if(C > B) printf("%d%d%d", a, c, b);
            else printf("%d%d%d", a, b, c);
        }
        else if(a1 < c1)
        {
            if(C > B) printf("%d%d%d", c, b, a);
            else printf("%d%d%d", b, c, a);
        }
    }
    else if(a1 > b1 > c1) printf("%d%d%d", a, b, c);
    else if(a1 > c1 > b1) printf("%d%d%d", a, c, b);
    else if(b1 > a1 > c1) printf("%d%d%d", b, a, c);
    else if(b1 > c1 > a1) printf("%d%d%d", b, c, a);
    else if(c1 > b1 > a1) printf("%d%d%d", c, b, a);
    else if(c1 > a1 > b1) printf("%d%d%d", c, a, b);
    return 0;
}